std::experimental::filesystem::directory_iterator::operator*,operator->(3)

NAME
std::experimental::filesystem::directory_iterator::operator*,operator-> - std::experimental::filesystem::directory_iterator::operator*,operator->

Synopsis
   const directory_entry& operator*() const;
                        (filesystem TS)
   const directory_entry* operator->() const;
   Accesses the pointed-to directory_entry.
   The result of operator* or operator-> on the end iterator is undefined behavior.

Parameters
   (none)

Return value
   1) Value of the directory_entry referred to by this iterator
   2) Pointer to the directory_entry referred to by this iterator

Exceptions
   May throw implementation-defined exceptions.

See also
   operator* accesses the pointed-to entry
   operator-> (public member function of
              std::experimental::filesystem::recursive_directory_iterator)